Merge remote-tracking branch 'origin/main'

# Conflicts:
#	docker/spring-cloud-contract-docker/project/gradle.properties
#	spring-cloud-contract-tools/spring-cloud-contract-gradle-plugin/src/test/resources/functionalTest/scenarioProject/gradle.properties
#	spring-cloud-contract-tools/spring-cloud-contract-gradle-plugin/src/test/resources/functionalTest/scenarioProjectKotlin/gradle.properties
This commit is contained in:
Olga MaciaszekSharma
2024-03-21 17:38:05 +01:00
53 changed files with 96 additions and 80 deletions

View File

@@ -7,13 +7,13 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-parent</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-docker-parent</artifactId>
<packaging>pom</packaging>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<name>Spring Cloud Contract Docker Parent</name>
<description>Spring Cloud Contract Docker Parent</description>

View File

@@ -12,13 +12,13 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-docker-parent</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-docker</artifactId>
<packaging>pom</packaging>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<name>Spring Cloud Contract Docker</name>
<description>Spring Cloud Contract Docker</description>

View File

@@ -1,4 +1,4 @@
org.gradle.daemon=false
verifierVersion=4.1.2-SNAPSHOT
springBootVersion=3.2.3
springBootVersion=3.2.4-SNAPSHOT
camelVersion=3.11.0

View File

@@ -7,13 +7,13 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-docker-parent</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-stub-runner-docker</artifactId>
<packaging>pom</packaging>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<name>Spring Cloud Contract Stub Runner Docker</name>
<description>Spring Cloud Contract Stub Runner Docker</description>

View File

@@ -8,7 +8,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-parent</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<packaging>jar</packaging>

View File

@@ -13,7 +13,7 @@
<artifactId>spring-cloud-contract-parent</artifactId>
<packaging>pom</packaging>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<name>Spring Cloud Contract</name>
<description>Spring Cloud Contract</description>
@@ -23,7 +23,7 @@
<inceptionYear>2016</inceptionYear>
<properties>
<spring-boot.version>3.3.0-SNAPSHOT</spring-boot.version>
<spring-boot.version>3.2.4-SNAPSHOT</spring-boot.version>
<!-- Align it also in Docker image under [docker/spring-cloud-contract-docker/project/gradle.properties] -->
<camel.version>3.21.3</camel.version>
<jsch-agent.version>0.0.9</jsch-agent.version>

View File

@@ -7,13 +7,13 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-parent</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-samples</artifactId>
<packaging>pom</packaging>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<name>Spring Cloud Contract Samples</name>
<description>Spring Cloud Contract Samples</description>

View File

@@ -7,7 +7,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-samples-standalone</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>

View File

@@ -7,13 +7,13 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-samples</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-samples-standalone</artifactId>
<packaging>pom</packaging>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<name>Spring Cloud Contract Standalone Test Samples</name>
<description>Spring Cloud Contract Standalone Test Samples used for end to end tests
</description>

View File

@@ -7,7 +7,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-samples-standalone</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>

View File

@@ -7,7 +7,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-samples-standalone</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>

View File

@@ -7,13 +7,13 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-parent</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-specs</artifactId>
<packaging>pom</packaging>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<name>Spring Cloud Contract Specs</name>
<description>Spring Cloud Contract Specs</description>

View File

@@ -6,7 +6,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-parent</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>../..</relativePath>
</parent>
<artifactId>spring-cloud-contract-spec-groovy</artifactId>

View File

@@ -9,7 +9,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-parent</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>../..</relativePath>
</parent>
<artifactId>spring-cloud-contract-spec-java</artifactId>

View File

@@ -6,7 +6,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-parent</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>../..</relativePath>
</parent>
<artifactId>spring-cloud-contract-spec-kotlin</artifactId>

View File

@@ -6,7 +6,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-parent</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>../..</relativePath>
</parent>
<artifactId>spring-cloud-contract-spec</artifactId>

View File

@@ -10,7 +10,7 @@
<relativePath/>
</parent>
<artifactId>spring-cloud-contract-dependencies</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<packaging>pom</packaging>
<name>spring-cloud-contract-dependencies</name>
<description>Spring Cloud Contract Dependencies</description>

View File

@@ -19,7 +19,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-parent</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-shade</artifactId>

View File

@@ -7,7 +7,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-parent</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>

View File

@@ -6,7 +6,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-starters</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-starter-contract-stub-runner-jetty</artifactId>

View File

@@ -23,7 +23,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-starters</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-starter-contract-stub-runner</artifactId>

View File

@@ -6,7 +6,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-starters</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-starter-contract-verifier</artifactId>

View File

@@ -6,7 +6,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-parent</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-stub-runner-boot</artifactId>

View File

@@ -6,7 +6,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-parent</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-stub-runner</artifactId>

View File

@@ -7,7 +7,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-parent</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>

View File

@@ -6,7 +6,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-tools</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-converters</artifactId>

View File

@@ -1,6 +1,7 @@
distributionBase=GRADLE_USER_HOME
distributionPath=wrapper/dists
distributionUrl=https\://services.gradle.org/distributions/gradle-8.3-bin.zip
distributionUrl=https\://services.gradle.org/distributions/gradle-8.6-bin.zip
networkTimeout=10000
validateDistributionUrl=true
zipStoreBase=GRADLE_USER_HOME
zipStorePath=wrapper/dists

View File

@@ -83,10 +83,8 @@ done
# This is normally unused
# shellcheck disable=SC2034
APP_BASE_NAME=${0##*/}
APP_HOME=$( cd "${APP_HOME:-./}" && pwd -P ) || exit
# Add default JVM options here. You can also use JAVA_OPTS and GRADLE_OPTS to pass JVM options to this script.
DEFAULT_JVM_OPTS='"-Xmx64m" "-Xms64m"'
# Discard cd standard output in case $CDPATH is set (https://github.com/gradle/gradle/issues/25036)
APP_HOME=$( cd "${APP_HOME:-./}" > /dev/null && pwd -P ) || exit
# Use the maximum available, or set MAX_FD != -1 to use that value.
MAX_FD=maximum
@@ -133,10 +131,13 @@ location of your Java installation."
fi
else
JAVACMD=java
which java >/dev/null 2>&1 || die "ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
if ! command -v java >/dev/null 2>&1
then
die "ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
Please set the JAVA_HOME variable in your environment to match the
location of your Java installation."
fi
fi
# Increase the maximum file descriptors if we can.
@@ -144,7 +145,7 @@ if ! "$cygwin" && ! "$darwin" && ! "$nonstop" ; then
case $MAX_FD in #(
max*)
# In POSIX sh, ulimit -H is undefined. That's why the result is checked to see if it worked.
# shellcheck disable=SC3045
# shellcheck disable=SC2039,SC3045
MAX_FD=$( ulimit -H -n ) ||
warn "Could not query maximum file descriptor limit"
esac
@@ -152,7 +153,7 @@ if ! "$cygwin" && ! "$darwin" && ! "$nonstop" ; then
'' | soft) :;; #(
*)
# In POSIX sh, ulimit -n is undefined. That's why the result is checked to see if it worked.
# shellcheck disable=SC3045
# shellcheck disable=SC2039,SC3045
ulimit -n "$MAX_FD" ||
warn "Could not set maximum file descriptor limit to $MAX_FD"
esac
@@ -197,11 +198,15 @@ if "$cygwin" || "$msys" ; then
done
fi
# Collect all arguments for the java command;
# * $DEFAULT_JVM_OPTS, $JAVA_OPTS, and $GRADLE_OPTS can contain fragments of
# shell script including quotes and variable substitutions, so put them in
# double quotes to make sure that they get re-expanded; and
# * put everything else in single quotes, so that it's not re-expanded.
# Add default JVM options here. You can also use JAVA_OPTS and GRADLE_OPTS to pass JVM options to this script.
DEFAULT_JVM_OPTS='"-Xmx64m" "-Xms64m"'
# Collect all arguments for the java command:
# * DEFAULT_JVM_OPTS, JAVA_OPTS, JAVA_OPTS, and optsEnvironmentVar are not allowed to contain shell fragments,
# and any embedded shellness will be escaped.
# * For example: A user cannot expect ${Hostname} to be expanded, as it is an environment variable and will be
# treated as '${Hostname}' itself on the command line.
set -- \
"-Dorg.gradle.appname=$APP_BASE_NAME" \

View File

@@ -43,11 +43,11 @@ set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if %ERRORLEVEL% equ 0 goto execute
echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.
echo. 1>&2
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH. 1>&2
echo. 1>&2
echo Please set the JAVA_HOME variable in your environment to match the 1>&2
echo location of your Java installation. 1>&2
goto fail
@@ -57,11 +57,11 @@ set JAVA_EXE=%JAVA_HOME%/bin/java.exe
if exist "%JAVA_EXE%" goto execute
echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.
echo. 1>&2
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME% 1>&2
echo. 1>&2
echo Please set the JAVA_HOME variable in your environment to match the 1>&2
echo location of your Java installation. 1>&2
goto fail

View File

@@ -6,7 +6,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-tools</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>

View File

@@ -1,5 +1,5 @@
/*
* Copyright 2013-2020 the original author or authors.
* Copyright 2013-2024 the original author or authors.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
@@ -26,12 +26,12 @@ import org.gradle.api.Plugin;
import org.gradle.api.Project;
import org.gradle.api.artifacts.Configuration;
import org.gradle.api.artifacts.ConfigurationContainer;
import org.gradle.api.artifacts.Dependency;
import org.gradle.api.attributes.Bundling;
import org.gradle.api.attributes.Category;
import org.gradle.api.attributes.LibraryElements;
import org.gradle.api.attributes.Usage;
import org.gradle.api.file.Directory;
import org.gradle.api.file.FileCollection;
import org.gradle.api.file.ProjectLayout;
import org.gradle.api.logging.Logger;
import org.gradle.api.logging.Logging;
@@ -143,6 +143,16 @@ public class SpringCloudContractVerifierGradlePlugin implements Plugin<Project>
} catch (NoSuchMethodException | InvocationTargetException | IllegalAccessException e) {
throw new RuntimeException("Unable to add project dependencies", e);
}
} else if (GradleVersion.current().compareTo(GradleVersion.version("8.6")) < 0) {
try {
Method projectMethod = dependencies.getClass().getMethod("project");
Method getImplementationMethod = dependencies.getClass().getMethod("getImplementation");
Object dependencyAdder = getImplementationMethod.invoke(dependencies);
Method addMethod = dependencyAdder.getClass().getMethod("add", Dependency.class);
addMethod.invoke(dependencyAdder, projectMethod.invoke(dependencies));
} catch (NoSuchMethodException | InvocationTargetException | IllegalAccessException e) {
throw new RuntimeException("Unable to add project dependencies", e);
}
} else {
dependencies.getImplementation().add(dependencies.project());
}

View File

@@ -16,5 +16,5 @@
wiremockVersion=2.35.0
jsonAssertVersion=0.6.2
verifierVersion=4.1.2-SNAPSHOT
bootVersion=3.2.3
bootVersion=3.2.4-SNAPSHOT
groovyVersion=2.4.17

View File

@@ -16,5 +16,5 @@
wiremockVersion=2.35.0
jsonAssertVersion=0.6.2
verifierVersion=4.1.2-SNAPSHOT
bootVersion=3.2.3
bootVersion=3.2.4-SNAPSHOT
groovyVersion=2.4.17

View File

@@ -6,7 +6,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-tools</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>

View File

@@ -7,7 +7,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-tools</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>

View File

@@ -9,7 +9,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-parent</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-verifier</artifactId>

View File

@@ -6,7 +6,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-parent</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-wiremock</artifactId>

View File

@@ -7,7 +7,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-parent</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>

View File

@@ -6,7 +6,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-tests</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-sample-amqp</artifactId>

View File

@@ -6,7 +6,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-tests</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-sample-camel</artifactId>

View File

@@ -6,7 +6,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-tests</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-sample-integration</artifactId>

View File

@@ -6,7 +6,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-tests</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-sample-jms</artifactId>

View File

@@ -6,7 +6,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-tests</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-stub-runner-amqp</artifactId>

View File

@@ -6,7 +6,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-tests</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-stub-runner-boot-eureka</artifactId>

View File

@@ -6,7 +6,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-tests</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-stub-runner-boot-zookeeper</artifactId>

View File

@@ -6,7 +6,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-tests</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-stub-runner-context-path</artifactId>

View File

@@ -6,7 +6,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-tests</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-stub-runner-integration</artifactId>

View File

@@ -6,7 +6,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-tests</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-stub-runner-jms</artifactId>

View File

@@ -6,7 +6,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-tests</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-stub-runner-kafka</artifactId>

View File

@@ -6,7 +6,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-tests</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-stub-runner-moco-contract-jar</artifactId>

View File

@@ -6,7 +6,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-tests</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-stub-runner-moco</artifactId>

View File

@@ -6,7 +6,7 @@
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-contract-tests</artifactId>
<version>4.1.2-SNAPSHOT</version>
<version>4.1.1-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>spring-cloud-contract-stub-runner-stream</artifactId>